diff --git a/src/include/catalog/pg_proc.dat b/src/include/catalog/pg_proc.dat
index d7b55f57ea..ceaef2857b 100644
--- a/src/include/catalog/pg_proc.dat
+++ b/src/include/catalog/pg_proc.dat
@@ -4082,10 +4082,12 @@
   prosrc => 'inet_client_port' },
 { oid => '2198', descr => 'inet address of the server',
   proname => 'inet_server_addr', proisstrict => 'f', provolatile => 's',
-  prorettype => 'inet', proargtypes => '', prosrc => 'inet_server_addr' },
+  proparallel => 'r', prorettype => 'inet', proargtypes => '',
+  prosrc => 'inet_server_addr' },
 { oid => '2199', descr => 'server\'s port number for this connection',
   proname => 'inet_server_port', proisstrict => 'f', provolatile => 's',
-  prorettype => 'int4', proargtypes => '', prosrc => 'inet_server_port' },
+  proparallel => 'r', prorettype => 'int4', proargtypes => '',
+  prosrc => 'inet_server_port' },
 
 { oid => '2627',
   proname => 'inetnot', prorettype => 'inet', proargtypes => 'inet',
